<?php

/* 
 * Initialisation des chemins d'acces aux librairies
 * de fonctions 
 */

	include("includes.inc.php");
	$page=new Page(__FILE__); 
	$_SESSION["referer"]=basename(__FILE__);

	$page->logCheck();

	$page->startScript();
	include("includes/scriptJS_DA.inc.php");
	$page->endScript();

	$page->startHeader();
?>

<link rel="stylesheet" href="/styles/contenuDA.css" />

<?php 
$page->endHeader();

$familles = donne_familles();
$unite="* unit&eacute;";

switch($_POST["action"]) {
	case "Ajouter": {
		$famProd=$_POST["famille"];
		$prodSelect=$_POST["produit"];
		$quantiteDem=$_POST["quantite"];
		$prodUnit=$_POST["unite"];

		if (!isset($_SESSION["demandeAchat"])){
			$_SESSION["demandeAchat"]=new DemandeAchat(
					$_SESSION["userInfo"]->getID()
					);
		}
		$_SESSION["demandeAchat"]->ajouteLDA($famProd,$prodSelect,$quantiteDem);
	};
	break;
	case "Supprimer": {
		if (isset($_SESSION["demandeAchat"])){
			$_SESSION["demandeAchat"]->supprimeLDA($_POST["Case_suppr"]);
		}
		// TODO: faire en sorte de supprimer le bug
		// qui permet d'avoir des produits n'appartenant pas
		//  la bonne famille
	} ; 
	break;
	case "Annuler": {
		// TODO: faire en sorte de supprimer le bug
		// qui permet d'avoir des produits n'appartenant pas
		//  la bonne famille
	}; break;
	// TODO: lorsque l'on fait un Annuler faire en sorte que
	// les produits correspondent bien  la famille
	case "Valider": {
		if (isset($_SESSION["demandeAchat"])){
			$_SESSION["demandeAchat"]->insereBD();
			unset($_SESSION["demandeAchat"]);
			header("Location: DAliste.php");
		}
	}; break;
	default: break;
}

$page->startContent(); 

?>

<div id="contenuDA">

<h1>Demande d'Achat</h1>

<h2>Livraison</h2>
<fieldset>
<legend><b>Date et horaires</b></legend>
<p>				Date :
<input type="text" name="jour" value="<?php print date("d")+1; ?>" class="livraison" size="2" maxlength="2"  />
/
<input type="text" name="mois" value="<?php print date("m"); ?>" class="livraison" size="2" maxlength="2" max="12"  />
/
<input type="text" name="annee" value="<?php print date("Y"); ?>" class="livraison" size="4" maxlength="4" min="2004"  />
</p>
<p>
Horaire :
<ul>
<li>
A partir de 
<input type="text" 
name="heures_min" 
value="08" 
size="2"
class="livraison"
maxlength="2"  /> h
<input type="text" 
name="mins_min" 
value="00" 
size="2"
class="livraison"
maxlength="2" />
</li>
<li>
Jusqu' 
<input type="text" 
name="heures_max" 
size="2" 
value="19"
class="livraison"
maxlength="2" /> h
<input type="text" 
name="mins_max" 
size="2" 
value="30"
class="livraison"
maxlength="2"  />
</li>
</ul>
</p>
</fieldset>

<h2>Ajout d'un nouveau produit</h2>
<form name="form" 
method="post" 
action="DAajoute.php" 
enctype="application/x-www-form-urlencoded">

<noscript>
<p style="border: 1px solid #f00; padding:5px;">
Pour passer votre commande vous devez pouvoir utiliser JavaScript.
Veuillez contacter votre administrateur pour plus de de&eacute;tails.
</p>
</noscript>
<p>
<select name="famille" 
onChange="changeFam_Prod(this.form.famille,this.form.produit);" >

<?php
for($i=0;$i<count($familles);$i++) {
	menu_deroulant_familleProd($familles[$i]);
}
?>
</select>
<select name="produit">
<?php
$prod = trouve_produits(1);
for($i=0;$i<sizeof($prod);$i=$i+2) {
	menu_deroulant_Produits($prod[$i], $prod[$i+1]);
}
?>
</select>
Quantit : 
<input type="text" name="quantite"><?php print $unite ?>
</p>
<p>
<input type="hidden" name="unite" value"<?php print $unite;?>" />
<input type="reset" name="action" value="Annuler" /> 
<input type="submit" name="action" value="Ajouter" /> 
</p>

<?php
if (isset($_SESSION["demandeAchat"])){
	if ($_SESSION["demandeAchat"]->_ligneIdx>0){
		print "<fieldset>\n";
		print "<legend><b>Lignes de demandes d'achat</b></legend>\n";
		print  $_SESSION["demandeAchat"]->toHTML(1);


		print "</fieldset>\n";
		print  "<input type=\"submit\" "
			."name=\"action\" class='valider' "
			."value=\"Valider\"  />";	}
} 
?>
</form>
</div>
<?php
$page->endContent();
print $page->toHTML();
?>
