<?php
	
	/* 
 	 * Initialisation des chemins d'acces aux librairies
 	 * de fonctions 
 	 */
	include("includes.inc.php");
	$page=new Page(__FILE__); 
	$_SESSION["referer"]=basename(__FILE__);

	$page->logCheck();
	
	$page->startScript();
	include("includes/scriptJS_DA.inc.php");
	$page->endScript();
	
	$page->startHeader();
	?>
	
	<link rel="stylesheet" href="/styles/contenuDA.css" />

<?php
	$page->endHeader();
	$page->startContent();

	
	switch($_POST["action"]) {
		case "Accepter": {
			if($_SESSION["produit"]) {
				if($_SESSION["produit"]->exists()) {
					$_SESSION["produit"]->_stock=$_POST["stock"];
					$_SESSION["produit"]->_seuil_min=$_POST["seuil_min"];
					$_SESSION["produit"]->_seuil_max=$_POST["seuil_max"];
					$_SESSION["produit"]->modifSeuils();
					unset($_SESSION["produit"]);
				}
				else {
					$_SESSION["produit"]->_stock=$_POST["stock"];
					$_SESSION["produit"]->_seuil_min=$_POST["seuil_min"];
					$_SESSION["produit"]->_seuil_max=$_POST["seuil_max"];
					$_SESSION["produit"]->insereInfos();
					unset($_SESSION["produit"]);
				}
			}
		};break;
		
		case "Modifier": {
			$_SESSION["produit"]=new ProduitInterne($_POST["produit"], $_SESSION["userInfo"]->getSite());
			$_SESSION["produit"]->rempliVals();
		};break;

		case "Supprimer": {
			if($_SESSION["produit"]) {
				if($_SESSION["produit"]->exists()) {
					$_SESSION["produit"]->supprProStck();
				}
				unset($_SESSION["produit"]);
			}
		};break;
			

		default: break;	
	}
	?>

	<div id="contenuDA">

	<h1>Gestion des stocks</h1>

<form name="form"
	method="post"
	action="DAstock.php"
	enctype="application/x-www-form-urlencoded">
	
	<noscript>
		<p style="border: 1px solid #f00; padding:5px;">
			Pour passer votre commande vous devez pouvoir utiliser JavaScript.
			Veuillez contacter votre administrateur pour plus de de&eacute;tails.
		</p>
	</noscript>
	
	<p>
	<select name="famille" 
		onchange="changeFam_Prod(this.form.famille,this.form.produit)">
	<?php
		for($i=0;$i<count($familles);$i++) {
			menu_deroulant_familleProd($familles[$i]);
		}
		?>
	</select>
	<select name="produit">
	<?php
		$prod = trouve_produits(1);
		for($i=0;$i<sizeof($prod);$i=$i+2) {
			menu_deroulant_Produits($prod[$i], $prod[$i+1]);
		}
		?>
	</select>
	<br />

	
	<p>
		<input type="reset" name="action" value="Annuler" /> 
		<input type="submit" name="action" value="Modifier" /> 
	</p>
	
	<?php
		if($_SESSION["produit"]) {
			print $_SESSION["produit"]->toHTML();
		}
		?>

</form>
</div>

<?php
	$page->endContent();
	print $page->toHTML();
	?>
	
	
