<?php

	include("includes.inc.php");

	$page=new Page(__FILE__);
	$_SESSION["referer"]=basename(__FILE__);

$page->startHeader();
?>

<link rel="stylesheet" href="/styles/fournisseurs.css" />

<?php 
$page->endHeader();
	
	$page->logCheck();
	$page->startContent();

	$listeFournisseurs=new ListeFournisseurs($_SESSION["userInfo"]->getID());
	?>

	<div id="contenu">
	<h1>Gestion des fournisseurs : <i>
	<?php print $listeFournisseurs->_familleName; ?></i>
	</h1>

	<?php

		switch($_POST["action"]) {
			case "Ajouter": 
				$listeFournisseurs->ajouteFournisseur(
					$_POST["id_nFour"],
					$_POST["nom_nFour"],
					$_POST["adr_nFour"],
					$listeFournisseurs->_familleId,
					$_POST["tel_nFour"],
					$_POST["fax_nFour"],
					$_POST["siret_nFour"],
					$_POST["siren_nFour"]
				);
				/* do nothing */
				break;
			case "Supprimer":
				$listeFournisseurs->supprimeFournisseur($_POST["box_fourn"]);
				
				break;
			default: 
				break;
		}

		?>

		<fieldset>
		<legend>Ajout de fournisseurs</legend>
		<form name="form" 
		method="post" 
		action="fournisseurs.php" 
		enctype="application/x-www-form-urlencoded"
		>
		<p>
		Identifiant pour le fournisseur :
		<input type="text" name="id_nFour" />
		</p>
		<p>
		Nom du fournisseur:
		<input type="text" name="nom_nFour" />
		</p>
		<p>
		Adresse du fournisseur:
		<input type="text" name="adr_nFour" />
		</p>
		<p>
		Famille de produits: 
		<?php 
			print $listeFournisseurs->_familleName
			. "(" . $listeFournisseurs->_familleId . ")";  
			?>
			</p>
			Num&eacute;ro de telephone:
			<input type="text" name="tel_nFour">
			</p>
			<p>
			Num&eacute;ro de fax:
			<input type="text" name="fax_nFour">
			</p>
			<p>
			Num&eacute;ro de SIRET:
			<input type="text" name="siret_nFour">
			</p>
			<p>
			Num&eacute;ro de SIREN:
			<input type="text" name="siren_nFour">
			</p>
			<input type="reset" name="action" value="Annuler" />
			<input type="submit" name="action" value="Ajouter" />
			</form>
			</fieldset>
			<fieldset>
			<legend align="top">Liste des fournisseurs existants</legend>
<form name="form"
			method="post" 
			action="fournisseurs.php" 
			enctype="application/x-www-form-urlencoded" >		
		
			<?php
				print $listeFournisseurs->toHTML(1);	
				?>
				</form>
				</fieldset>
				<hr class="spacer" /> <!-- pour avoir toute la largeur !-->
				</div>	<!--end contenu !-->
				<?php
					/* $print listeFournisseurs(); */
					$page->endContent();
					$_SESSION["pageProvenance"]="fournisseur.php";

					print $page->toHTML();
					?>
