<?php
//TODO: grer la suppression de produits

	include("includes.inc.php");

	$page=new Page(__FILE__);
	$_SESSION["referer"]=basename(__FILE__);

	$page->logCheck();
	$page->startContent();

	$listeFournisseurs=new ListeFournisseurs($_SESSION["userInfo"]->getID());
	$listeProduits=new ListeProduits($listeFournisseurs->_familleId);

	switch($_POST["action"]){
		case "Ajouter": {
			$ref_in="";
			switch($_POST["prod_refin_type"]){
				case "new": { $ref_in=$_POST["prod_refin_new"];
					$listeProduits->ajouteProduitInterne($ref_in,$_POST["prod_refin_design"],$_POST["prod_unit"]);
				}; break;
				case "old": { $ref_in=$_POST["prod_refin_old"];
				}; break;
				default :break;
			}
			$listeProduits->ajouteProduitFournisseur(
					$_POST["fournisseur"],
					$_POST["prod_designation"],
					$_POST["prod_prix"],
					$_POST["prod_unit"],
					$_POST["prod_ref"],
					$ref_in
					);
		};
		case "Supprimer": {
		$listeProduits->supprimeProduitFournisseur($_POST["prod_id"]);
		}; break;
		break;
		default: break;
	}
$listeProduits->chargeListeInterne();
$listeProduits->chargeListeFournisseur();
?>

<div id="contenu">
<h1>Gestion des produits : <i>
<?php print $listeFournisseurs->_familleName; ?></i>
</h1>

<h2>Ajout de produits</h2>
<form name="form" 
method="post" 
action="produits.php" 
enctype="application/x-www-form-urlencoded">

<?php
if (count($listeFournisseurs->_fournisseurs)>0){
?>
<fieldset>
<legend>Informations sur le produit</legend>
<p>Fournisseurs
<?php
print $listeFournisseurs->toHTML(0);
?>	
</p>
<p>D&eacute;signation :  
<input type="text"
name="prod_designation"
id="prod_designation"
/>
</p>

<p>Prix : 
<input type="text" 
name="prod_prix"
id="prod_prix"
/>
&euro; / Unit&eacute; : 
<select id="prod_unit" name="prod_unit">
<option value="Piece">Pice</option>
<option value="L">Litres</option>
<option value="Kg">Kilogrammes</option>
<option value="M">Mtres</option>
<option value="M^2">Mtres carrs</option>
<option value="M^3">Mtres cubes</option>
</select>
</p>
</fieldset>
<fieldset>
<legend>Rfrences</legend>
<p>Reference fournisseur : 
<input type="text" 
name="prod_ref" 
id="prod_ref" />
</p>
<dl><dt>Reference interne :</dt>
<dd><input type="radio" name="prod_refin_type" value="old" />
Existante : 
<?php 

print $listeProduits->referencesHTML();
?>
</dd>
<dd>
<input type="radio" name="prod_refin_type" value="new" />
Nouvelle
<ul>
<li>Rfrence : <input type="text" id="prod_refin_new" name="prod_refin_new" /> 
</li>
<li>
Description : <input type="text" id="prod_refin_design" name="prod_refin_design" />
</li>
</ul>
</dd>
</dl>
</p>
</fieldset>

<input type="reset" id="action" name="action"  value="Annuler" />
<input type="submit" id="action" name="action" value="Ajouter" />

<h2>Liste des produits</h2>
<fieldset>
<legend>Produits de la base</legend>
<?php 
print $listeProduits->listeFournisseurToHTML();
if (count($listeProduits->_prodFo)>0){
print "<input type=\"submit\" id=\"action\" name=\"action\" "
."value=\"Supprimer\" />";
}
?>
</fieldset>
<?php
} else {
print "Opration impossible tant qu'aucun founisseur n'est ajout";
}
?>
</form>
<hr class="spacer" /> <!-- pour avoir toute la largeur !-->
</div>	<!--end contenu !-->

<?php
$page->endContent();

print $page->toHTML();
?>
